Summary:	USB topology and device viewer
Name:		usbview
Version:	2.0
Release:	%mkrel 2
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://www.kroah.com/linux-usb/
Source:		http://www.kroah.com/linux-usb//%{name}-%{version}.tar.gz
BuildRequires:	gtk+3-devel imagemagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

for i in 16x16 32x32 48x48; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/$i/apps
convert -resize $i %{name}_logo.xpm %{buildroot}%{_iconsdir}/hicolor/$i/apps/%{name}.png;
done

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;System;
EOF

%files
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*
%{_mandir}/*/*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 385169
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 tv <tv> 2.0-1.mga3
+ Revision: 309630
- new release

* Thu Aug 30 2012 tv <tv> 1.1-2.mga3
+ Revision: 285881
- imported package usbview

